Subject: Re: bug#40538: installer: Support uvesafb to install on machines without KMS.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 Apr 2020 12:09:12 +0200

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> That is good to hear!  The options I know of are:
>
> 1) Make the loading of the uvesafb kernel module by the installer
> conditional.  For your GPU, don’t load uvesafb, if before it worked
> without.
>
> 2) Add modprobe.blacklist=i915 to the default kernel parameters (or
> whatever the kernel module for this GPU is), so this kind of GPU
> always only uses uvesafb.
>
> 3) Add nomodeset to the default kernel parameters for the installer,
> so all GPUs always use uvesafb.
>
> I do not know if uvesafb works on all display technologies though.

Would there be a way to load uvesabf only on hardware where it’s known
to fix things?

Or better yet, is there a way to check whether KMS is already using
another driver, and to not load uvesafb in that case?  Probably there’s
some info in /sys.

> uvesafb certainly is not supported on ARM (though maybe it works; the
> README of uvesafb’s helper program v86d just says it is not supported).

Let’s forget about ARM, we don’t ship Guix System installation images
for ARM.

Ludo’.